package cn.fw.valhalla.domain.db.ipt

import cn.fw.common.annotation.NoArg
import cn.fw.common.data.entity.BaseAuditableTimeEntity
import java.time.LocalDate
import java.time.LocalDateTime

/**
 * 开帐导入档案线索（不做任何业务）
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 开帐导入档案线索（不做任何业务）
 * @date : 2024-03-27 15:01
 */
@NoArg
data class CustomerInitClue(
    var plateNo: String?,
    val vin: String,
    var brandName: String?,
    var seriesName: String?,
    var specName: String?,
    var engineNo: String?,
    var buyDate: LocalDate?,
    var customerName: String?,
    val customerMobile: String,
    var arrivalTime: LocalDateTime?,
    var arrivalMileage: Int?,
    var senderName: String?,
    val senderMobile: String,
    val adviserId: Long,
    var adviserName: String?,
    val shopId: Long,
    val groupId: Long,
    var yn: Boolean,
) : BaseAuditableTimeEntity<CustomerInitClue, Long>()