package cn.fw.valhalla.rpc.erp.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Objects;

/**
 * 用户角色信息
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 用户角色信息
 * @date : 2023-08-07 11:03
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class UserSimpleDTO implements Serializable {
    private static final long serialVersionUID = 4160178L;
    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户姓名
     */
    private String userName;

    @Override
    public boolean equals(final Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        UserSimpleDTO that = (UserSimpleDTO) o;
        return Objects.equals(userId, that.userId) && Objects.equals(userName, that.userName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(userId, userName);
    }
}
