package cn.fw.valhalla.rpc.member.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 会员信息
 * <p>
 * create at 2019-05-09
 *
 * @author kurisu
 */
@Data
public class MemberUserDTO implements Serializable {
    private Long id;
    private Long latestAccountId;
    private String latestAccountPhone;
    private String latestAccountOldPhone;
    /**
     * 真实姓名
     */
    private String realName;

    /**
     * 证件类型
     */
    private Integer credentType;

    /**
     * 证件号码
     */
    private String credentNo;
    private String gender;
    /**
     * 生日
     */
    private Date birthday;

    public Long getUserId() {
        return id;
    }

    public Long getMemberId() {
        return id;
    }

    public Long getAccountId() {
        return latestAccountId;
    }

    public String getPhone() {
        String phone = this.latestAccountPhone;
        if (phone == null || phone.isEmpty() || phone.equals("#")) {
            phone = this.latestAccountOldPhone;
        }
        if (phone == null || phone.isEmpty()) {
            return "#";
        }
        return phone;
    }
}
