package cn.fw.valhalla.rpc.pstn

import cn.fw.common.util.logError
import cn.fw.pstn.sdk.api.PstnApiService
import org.springframework.stereotype.Service

/**
 * pstn rpc 服务
 *
 * @author : kurisu
 * @version : 1.0
 * @desc : pstn rpc 服务
 * @date : 2024-03-27 16:51
 */
@Service
class PstnRpcService(private val pstnApiService: PstnApiService) {
    /**
     * 查询通话录音
     */
    fun queryRecording(callId: String): String? {
        try {
            val msg = pstnApiService.queryCallDetail(callId)
            if (!msg.isSuccess) {
                logError("调用pstn api 查询通话详情异常：{}", msg.result)
                return null
            }
            return msg?.data?.recording
        } catch (e: Exception) {
            logError("pstn统调用失败", e)
        }
        return ""
    }
}