package cn.fw.valhalla.sdk.result;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 进站率目标信息
 *
 * @author : kurisu
 * @version : 1.3.0
 * @className : InboundRateTargetResult
 * @description : 进站率目标信息
 * @date : 2023-06-06 09:26
 */
@Data
public class InboundRateTargetResult {
    /**
     * 当前保有客数
     */
    private Integer customerNum;
    /**
     * 进站率目标
     */
    private BigDecimal targetRate;

    /**
     * 目标台数
     */
    private Integer targetNum;

    /**
     * 截止当前进站数
     */
    private Integer inboundNum;

    /**
     * 截止当前进站率
     */
    private BigDecimal inboundRate;
}
