package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.customer.CustomerLoanInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author : kurisu
 * @className : CustomerLoanInfoService
 * @description : 客户贷款信息
 * @date: 2020-10-29 18:00
 */
public interface CustomerLoanInfoService extends IService<CustomerLoanInfo> {
    /**
     * 终止贷款期
     *
     * @param vin     车架号
     * @param groupId 集团id
     */
    @Transactional(rollbackFor = Exception.class)
    void stopLoan(String vin, Long groupId);
}
